


{% if V.value|length == 0 and V.value is null %}


    <div class="row">
        <div class = "colonne2 col-md-8 col-xs-6" onClick='sendData("data_type={{ V.parameter.dataType }}&parameter_id={{ V.parameter_id }}&sysma_relation_id={{ V.sysma_relation_id }}&sysma_object_id={{ O.id }}", "{{url('sysma-relation-parameter-value-create')}}", "renseigneFormTr{{ V.sysma_relation_id }}{{ V.parameter_id }}");'>
            <div class="value sousColonne2-1 aucuneValeur">Aucune valeur actuelle</div>
        </div>

        <div class="colonne3  col-md-4 col-xs-6">
            {% include('sysma-relation-parameter-value/sysmaRelationParameterValueFillButton.twig') %}              

        </div>
    </div>


{% else %}

    <div class="row">
        <div class = "colonne2 col-md-8 col-xs-6" 
            {% if V.parameter.dataType != 'sysmaObjectLinkType' and V.parameter.dataType  != 'hyperlink' %}  
                onClick='sendData("data_type={{V.parameter.dataType}}&data_index={{V.data_index}}&parameter_id={{V.parameter_id}}", "{{url('sysma-relation-parameter-value-update')}}", "renseigneFormTr{{V.sysma_relation_id}}{{V.parameter_id}}", event);'
            {% endif %}
            >

            {% if V.parameter.dataType == 'textChoiceType'  %}                
                <div class="value sousColonne2-1"><acronym title="Donnée ajoutée le {{V.creation_date|date('d/m/Y') }} {% if V.lastname != null %}par {{V.firstname }} {{V.lastname }} {% endif %}[{{ V.data_index}}]">{{ V.value|raw }}</acronym><small>{{ V.descriptionparameter }}</small></div>

            {% elseif V.parameter.dataType == 'multipleTextChoiceType'  %}     
                <div class="value sousColonne2-1"><acronym title="Donnée ajoutée le {{V.creation_date|date('d/m/Y') }} {% if V.lastname != null %}par {{V.firstname }} {{V.lastname }} {% endif %}[{{ V.data_index}}]">{{ V.value|join(', ')|raw }}</acronym></div>


            {% elseif V.parameter.dataType == 'booleanType'  %}  
                <div class="value sousColonne2-1"><acronym title="Donnée ajoutée le {{V.creation_date|date('d/m/Y') }} {% if V.lastname != null %}par {{V.firstname }} {{V.lastname }} {% endif %}[{{ V.data_index}}]">
                        {% if V.value == 1  %}     oui    {% endif %}       
                        {% if V.value == 0  %}     non    {% endif %}   
                    </acronym>
                </div>

            {% elseif  V.parameter.dataType == 'hyperlink'  %}  
                <div class="value sousColonne2-1"><acronym title="Donnée ajoutée le {{V.creation_date|date('d/m/Y')}}  {% if V.lastname != null %}par {{V.firstname }} {{V.lastname }} {% endif %}[{{ V.data_index}}]">
                       
                    {% if V.value|slice(0,8)=='https://' or V.value|slice(0,7)=='http://' %} <a href="{{ V.value }}" target="_blank">{{V.value}}</a>
                    {% elseif V.value|slice(1,2)==':\\' or V.value|slice(0,2)=='\\\\' or V.value|slice(0,1)=='/' %} <a href="file:///{{ V.value }}" target="_blank">{{V.value}}</a>
                    {% else %}
                    {{ V.value }}
                    {% endif %}

                    </acronym>
                </div>

            {% else %}
                <div class="value sousColonne2-1"><acronym title="Donnée ajoutée le {{V.creation_date|date('d/m/Y') }} {% if V.lastname != null %}par {{V.firstname }} {{V.lastname }} {% endif %}[{{ V.data_index}}]">{{ V.value|raw }}</acronym>
                    {{ V.parameter.unit }}
                </div>
            {% endif %}

            {# BOUTONS #}
        </div>
        <div class="colonne3  col-md-4 col-xs-6">

            {% include('sysma-relation-parameter-value/sysmaRelationParameterValueModifcationButton.twig') %}              
        </div>
    </div>


{% endif %}

